org.crosswire.jsword.book.filter.gbf

## Class GBFTags

- java.lang.Object
- - org.crosswire.jsword.book.filter.gbf.GBFTags

-     public final class GBFTags
      extends Object

  A holder of all of the GBF Tag Handler classes.
  Author:
    Joe Walker, DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GBFTags.BoldStartTag`
    `static class` | `GBFTags.BookTitleStartTag`
    `static class` | `GBFTags.CrossRefStartTag`
    `static class` | `GBFTags.DefaultEndTag`
    `static class` | `GBFTags.EOLTag`
    `static class` | `GBFTags.FootnoteEndTag`
    `static class` | `GBFTags.FootnoteStartTag`
    `static class` | `GBFTags.HeaderStartTag`
    `static class` | `GBFTags.IgnoredTag`
    `static class` | `GBFTags.ItalicStartTag`
    `static class` | `GBFTags.JustifyLeftTag`
    `static class` | `GBFTags.JustifyRightTag`
    `static class` | `GBFTags.OTQuoteStartTag`
    `static class` | `GBFTags.ParagraphTag`
    `static class` | `GBFTags.PoetryStartTag`
    `static class` | `GBFTags.PsalmStartTag`
    `static class` | `GBFTags.RedLetterStartTag`
    `static class` | `GBFTags.StrongsMorphTag`
    `static class` | `GBFTags.StrongsWordTag`
    `static class` | `GBFTags.TextFootnoteTag`
    `static class` | `GBFTags.TextTag`
    `static class` | `GBFTags.TitleStartTag`
    `static class` | `GBFTags.UnderlineStartTag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static OSISUtil.OSISFactory` | `OSIS_FACTORY` To create OSIS DOM nodes.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `GBFTags()` Prevent instantiation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static void` | `updateOsisStack(LinkedList<org.jdom2.Content> stack, org.jdom2.Content content)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OSIS_FACTORY

          static final OSISUtil.OSISFactory OSIS_FACTORY

      To create OSIS DOM nodes.

  - ### Constructor Detail

    - #### GBFTags

          private GBFTags()

      Prevent instantiation.

  - ### Method Detail

    - #### updateOsisStack

          static void updateOsisStack(LinkedList<org.jdom2.Content> stack,
                             org.jdom2.Content content)